<!-- begin jsp\common\assetcatalog\assetmain.jsp -->
<%--
*************************************************************************************
Name	:  	assetmain.jsp

This page is the starting point for the purchasing application.  From here, the user can
search for items by navigating categories and/or entering search criteria.  The user will
jump to a search results list when the search button is pressed.  The user can also
navigate to other parts of the purchasing application via links on the navbar that is
included in each purchasing page.

Copyright 2001 MRO Software, Inc.
*************************************************************************************
--%>


<%@ page buffer="128kb" autoFlush="false" errorPage="../../common/system/error.jsp"
         import= "java.util.* , psdi.jsp.common.assetcatalog.* , psdi.jsp.beans.* , psdi.jsp.common.* , psdi.jsp.util.* , psdi.mbo.* , psdi.util.* , psdi.app.assetcatalog.* , psdi.security.* " %>

<%@ include file="../../common/system/header.jsp" %>

<html>

<head>
	<title>Search for Items and Services</title>
	<link rel=stylesheet type="text/css" href="../../css/power.css">
</head>

<body>


<psdi:usembosetbean scope="sacontext" id="catalog" mboname="ASSETCLASS" classname="psdi.jsp.common.assetcatalog.CatalogSearchBean" />

<psdi:usembosetbean scope="sacontext" id="catpaths" classname="psdi.jsp.common.assetcatalog.CategoryBean" />

<psdi:usembosetbean scope="sacontext" id="item" classname="psdi.jsp.common.assetcatalog.ResultsBean" />

<psdi:usembosetbean scope="sacontext" id="cu" mboname="psscu" classname="psdi.jsp.beans.MboSetBean" />

<psdi:usembosetbean scope="sacontext" id="locasset" mboname="locations" classname="psdi.jsp.beans.MboSetBean" />

<psdi:usembosetbean scope="sacontext" id="eqasset" mboname="equipment" classname="psdi.jsp.beans.MboSetBean" />

<psdi:usembosetbean scope="sacontext" id="attribute" mboname="ASSETATTRIBUTE" classname="psdi.jsp.common.assetcatalog.AttributeSetBean" />




<%
	if (AttrLookup.determineLookupPage(pageContext))
	{
		out.flush();
		return;
	}
%>

<% 	if (Lookup.determineLookupPage(pageContext))
	{
		out.flush();
		return;
	}
%>


<psdi:handlerequest classname="psdi.jsp.common.assetcatalog.CatalogSearchHandler" />




<%-- menu bar includes --%>


<%
	String fieldType = request.getParameter("fieldtype");
	String assetCatalogMessage = (String)saContext.getValue("catMessage");
	String translatedtype = "";
	saContext.removeValue("catMessage");
	if(assetCatalogMessage==null)
		assetCatalogMessage = "&nbsp;";

	if(fieldType==null)
		fieldType = (String)saContext.getValue("CatType");

  	fieldType = fieldType.toLowerCase();

	if(fieldType.indexOf("item")>-1)
	{
		fieldType = "Item";
		translatedtype = "Item";
	}
	else if(fieldType.indexOf("location")>-1)
	{
		fieldType = "Location";
		translatedtype = "Location";
	}
	else if(fieldType.indexOf("eq")>-1)
	{
		fieldType = "Equipment";
		translatedtype = "Equipment";
	}
	else if(fieldType.indexOf("cuname")>-1)
		{
				fieldType = "Cuname";	    
				translatedtype = "CU";
	}

	else if(fieldType.indexOf("parent")>-1)
	{
		//74058:"Parent" can be a location or equipment field. cannot always assume it is an equipment field.
		String prevPage = (String)saContext.getValue("localinv_prevPage");
		SAContext lastsac = saContext.get(session, prevPage);
		String setId = 	(String)saContext.getValue("lastrec");
		if (prevPage.toLowerCase().indexOf("location") >-1 ||
		    setId.toLowerCase().indexOf("loc") >-1)
		{
			fieldType = "Location";
		}
		else
		{
			fieldType = "Equipment";
		}
		translatedtype = "Parent";
	}

	else if(fieldType.indexOf("ancestor")>-1)
	{
		fieldType = "Location";
		translatedtype = "Ancestor";
	}
	else if(fieldType.indexOf("false")>-1)
	{
		fieldType = "Item";
		translatedtype = "Item";
	}
%>

<psdi:dialogtitle title="<%=\"Asset Catalog Search : Find \" + translatedtype %>"/>

<%@ include file="../../common/system/menubar.jsp" %>

<% String tab = request.getParameter("tabletab");
 	if(tab != null)
		saContext.putValue("tabletab", tab);
	else
		tab = (String) saContext.getValue("tabletab");
%>

<%-- search form --%>
	<form name="assets" action="assetmain.jsp" method="post" >


<% 	if(fieldType.indexOf("Item") > -1)
	{
		saContext.putValue("CatType", "Item");
		%>
<div class="tabletitle" style="position:relative;top=-10">Search for Item</div>
<% 	}
	else if(fieldType.indexOf("Loc") > -1)
	{
		saContext.putValue("CatType", "Location");
		%>
<div class="tabletitle" style="position:relative;top=-10">Search for Location</div>
<%	}
	else if(fieldType.indexOf("Eq") > -1)
	{
		saContext.putValue("CatType", "Equipment");
		%>
<div class="tabletitle" style="position:relative;top=-10">Search for Equipment</div>
<%	}
	else if(fieldType.indexOf("Cuname") > -1)	
		{		
			saContext.putValue("CatType", "Cuname");
			%>
	<div class="tabletitle">Search for CU</div>
<%	}
    else
    {
%>
    <div class="tabletitle" style="position:relative;top=-10">Search</div>
<%	}

	String CatType = (String)saContext.getValue("CatType");
	%>
<psdi:grid id="mainAssetGrid" border="true" left="15" height="60" colwidths="981" vspacing="-10">

	<psdi:grid id="Search" left="1" top="1" colwidths="100,150,100,65,550">
		<psdi:label gridrow="2" gridcol="1" text="Keyword:" adjtop="-5"/>

			<%
				String level = request.getParameter("setlevel");
 				CatalogNavState catState = (CatalogNavState) saContext.getValue("navState");
				String input = "";
				if(catState != null && catState.currentLevel > 0)
				{
					input = "<input style='position:absolute;top:0;left:2' class='prompt' type='text' id='keyword1' name='keyword' size='25' onkeydown='clickRefine()' > <select style='position:relative;left:150;top:-3' name='searchlevel' onchange=\"document.all('levelsearch').value=this.options[this.selectedIndex].value\" > <option value='1'>Entire Catalog<option value='2' SELECTED>Current Category </select>";
				}
				else
				{
				    input = "<input style='position:absolute;top:0;left:2' class='prompt' type='text' id='keyword1' name='keyword' size='25' onkeydown='clickRefine()' > <select style='position:relative;left:150;top:-3' DISABLED name='searchlevel' onchange=\"document.all('levelsearch').value=this.options[this.selectedIndex].value\" ><option SELECTED value='1'>Entire Catalog<option value='2'>Current Category  </select>";
				}
			%>

			<psdi:outputhtml gridrow="2" gridcol="2" text="<%= input %>"/>
			<input type="hidden" name="levelsearch" value="">
			<psdi:button gridid="Search" gridrow="1" gridcol="4" name="refine" image="../../images/icon_find.gif" width="15" height="15" form="assets" default="true" top="-3"/>
	</psdi:grid>
</psdi:grid>

</form>

<%	if(tab.equals("cattab"))
	{ 	%>
		<%@ include file="categories.jsp" %>
<%	}
	else if(tab.equals("results"))
	{ 	%>
		<%@ include file="results.jsp" %>
<%	}
 	else if(tab.equals("refine"))
	{
		if(catpaths.count() > 0)
		{	%>
			<%@ include file="refinesearch.jsp" %>
	<%	}
		else
		{  	%>
			<%@ include file="attributes.jsp" %>
	<%	}	%>
<%	}
	else
	{	%>

		<%@ include file="results.jsp" %>
<%	} 	%>

<% 	if(!tab.equals("refine") && !tab.equals("attributes"))
	{ %>
		<SPAN style="position:absolute; top:165; left:40; z-index:4">

<%		CatalogNavState catState = (CatalogNavState) saContext.getValue("navState");
		if(catState.currentLevel < 1)
		{ %>
		<a class=\"prompt\" nohref>All Categories</span>
	<%	}
		else
		{ %>
		<a class=\"blue\" href="assetmain.jsp?tabletab=cattab&findcat=All">All Categories</a>
	<%	} %>
	<%= CatalogSearchHandler.generateCategoryPathHTML(request, " > ", "Style=\"class:heading\"", true) %>
	</span>
<% 	} %>

</body>
</html>

<SCRIPT LANGUAGE="JavaScript">

function keypressed()
{
}

function clickRefine()
{
	if(event.keyCode==13)
	{
		document.getElementById("keyword1").click()
	}
}

//Following is to highlight current letter selected
params = new Array
name_value = new Array

search = window.location.search
search = search.substr(1, search.length)
params = search.split("&")

for(i=0;i<params.length;i++)
{
	name_value = params[i].split("=")
	paramname = name_value[0]
	paramvalue = name_value[1]

	if(paramname == "findcat")
	{
	  	catname = "catalog" + paramvalue
		catalog = document.all(catname)
		if(catalog != null)
		{
			catalog.style.color="336699"
		}
	}
}

if(document.all("keyword1"))
	document.all("keyword1").focus()

<% if( saContext.getValue("keyword") != null)
	{	%>
	document.all("keyword").value = <%= "\"" + saContext.getValue("keyword") + "\"" %>
<%	} 	%>


document.all('levelsearch').value = document.all('searchlevel').options[document.all('searchlevel').selectedIndex].value



</script>



<%@ include file="../../common/system/footer.jsp" %>

<script language="javascript" src="../../javascript/dynamic.js">
</script>

<!-- end jsp\common\assetcatalog\assetmain.jsp -->
